/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/
#ifndef __GDAS_MODULATOR_H_
#define __GDAS_MODULATOR_H_

typedef struct _GdasModulator GdasModulator;

#include "gdasmix.h"

GtkType gdas_modulator_get_type();
#define GDAS_TYPE_MODULATOR              (gdas_modulator_get_type ())
#define GDAS_MODULATOR(obj)              (GTK_CHECK_CAST ((obj), GDAS_TYPE_MODULATOR, GdasModulator))
#define GDAM_IS_MODULATOR(obj)           (GTK_CHECK_TYPE ((obj), GDAS_TYPE_MODULATOR))

struct _GdasModulator {
	GdasMix			mix;
};

GdasMix*       gdas_modulator_new(gboolean terminates_when_done);

#endif
